string_processor 1.0.1

  • README.md
  • CHANGELOG.md
  • Example
  • Installing
  • Versions
  • 46

string_processor #

This library contains utilities for processing strings such as getting the highest matched string from given a list of strings and a string to match. Strings can be matched taking into consideration things like article ("a", "an", and "the") and special characters. There are also utility functions to aid in string parsing, such as removing special characters around the words in a string.

v1.0.1 #

  • Fixed package description length.

v1.0.0 #

  • Released the first version.

example/main.dart

import 'package:string_processor/string_processor.dart';

void main() => print(getHighestMatch(
    ['I am a boy', 'Bob the Builder is fun'], 'Bob is a boy.',
    ignoreArticles: true, matchCaseInsensitively: false));

Use this package as a library

1. Depend on it

Add this to your package's pubspec.yaml file:


dependencies:
  string_processor: ^1.0.1

2. Install it

You can install packages from the command line:

with pub:


$ pub get

with Flutter:


$ flutter pub get

Alternatively, your editor might support pub get or flutter pub get. Check the docs for your editor to learn more.

3. Import it

Now in your Dart code, you can use:


import 'package:string_processor/string_processor.dart';
  
Version Uploaded Documentation Archive
2.0.1 Apr 14, 2019 Go to the documentation of string_processor 2.0.1 Download string_processor 2.0.1 archive
2.0.0 Feb 23, 2019 Go to the documentation of string_processor 2.0.0 Download string_processor 2.0.0 archive
1.0.3 Oct 19, 2018 Go to the documentation of string_processor 1.0.3 Download string_processor 1.0.3 archive
1.0.2 Oct 19, 2018 Go to the documentation of string_processor 1.0.2 Download string_processor 1.0.2 archive
1.0.1 Oct 19, 2018 Go to the documentation of string_processor 1.0.1 Download string_processor 1.0.1 archive
1.0.0 Oct 19, 2018 Go to the documentation of string_processor 1.0.0 Download string_processor 1.0.0 archive
Popularity:
Describes how popular the package is relative to other packages. [more]
0
Health:
Code health derived from static analysis. [more]
100
Maintenance:
Reflects how tidy and up-to-date the package is. [more]
80
Overall:
Weighted score of the above. [more]
46
Learn more about scoring.

We analyzed this package on May 8, 2019, and provided a score, details, and suggestions below. Analysis was completed with status completed using:

  • Dart: 2.3.0
  • pana: 0.12.15

Platforms

Detected platforms: Flutter, web, other

No platform restriction found in primary library package:string_processor/string_processor.dart.

Health suggestions

Fix lib/string_processor.dart. (-0.50 points)

Analysis of lib/string_processor.dart reported 1 hint:

line 187 col 7: Use isNotEmpty instead of length

Maintenance suggestions

The package description is too short. (-20 points)

Add more detail to the description field of pubspec.yaml. Use 60 to 180 characters to describe the package, what it does, and its target use case.

Dependencies

Package Constraint Resolved Available
Direct dependencies
Dart SDK >=2.0.0-dev.56.0 <3.0.0
Dev dependencies
link_checker ^2.0.1
test ^1.3.0